<template>
    <div>
        <h1 :class="getClassTitre()">
            <a :href="'#' + getTitreModal()" uk-toggle class="type">{{
                typeExercice
            }}</a>
            -
            {{ niveau }}
        </h1>
        <div :id="getTitreModal()" class="uk-flex-top" uk-modal>
            <div class="uk-modal-dialog uk-modal-body uk-margin-auto-vertical">
                <button
                    class="uk-modal-close-default"
                    type="button"
                    uk-close
                ></button>
                <div v-if="typeExercice === 'Tesuji'">
                    <p>Cliquez sur le jeu pour placer des pierres.</p>
                    <p>
                        Un Tesuji est un coup astucieux, étrange au premier coup
                        d'oeil, mais qui résoud une situation insolvable sans ce
                        coup.
                    </p>
                    <p>
                        Plus vous rencontrez de Tesuji lors d'exercices, plus
                        vous serez capable d'en trouver dans vos parties.
                    </p>
                </div>
                <div v-if="typeExercice === 'Tsumego'">
                    <p>Cliquez sur le jeu pour placer des pierres.</p>
                    <p>
                        Un Tsumego correspond à un problème de vie et de mort.
                    </p>
                    <p>
                        Ce type d'exercice est l'exerice le plus pratiqué pour
                        améliorer sa lecture de jeu, et vous aidera à lire
                        d'avantage de coups à l'avance avec le temps.
                    </p>
                </div>
                <div v-if="typeExercice === 'Joseki'">
                    <p>Cliquez sur le jeu pour placer des pierres.</p>
                    <p>
                        Un Joseki est un échange de coup classique.
                    </p>
                    <p>
                        On utilise le plus souvent ce terme pour parler des
                        échanges de début de partie ayant lieu dans les coins.
                    </p>
                    <p>
                        Il est souvent considéré que ces échanges ont été
                        travaillés de sorte à ce que les deux joueurs acceptent
                        de les jouer, et donc qu'ils amènent à une situation
                        équivalente pour les deux joueurs.
                    </p>
                </div>
                <div v-if="typeExercice === 'Libertes'">
                    <p>
                        Les libertés sont les intersections vides autour d'une
                        pierre ou d'un groupe de pierre.
                    </p>
                    <p>
                        Dans cet exercice, il vous est demandé de cliquer sur
                        toutes les intersections que vous pensez être une
                        liberté.
                    </p>
                </div>
                <div v-if="typeExercice === 'Choix multiple'">
                    <p>
                        Répondre à la question laissée par le professeur à
                        partir de la situation donnée.
                    </p>

                    <p>
                        Sous la situation, vous trouverez la question ainsi que
                        les choix possibles.
                    </p>
                </div>
            </div>
        </div>
    </div>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import { Prop } from 'vue-property-decorator';

@Component
export default class TitreProbleme extends Vue {
    @Prop() typeExercice: string;
    @Prop() niveau: string;

    getTitreModal(): string {
        const titre =  ('modal-description-' + this.typeExercice.replace(/\s/g, '')).toLowerCase();
        return titre;
    }

    getClassTitre(): string {
        if (this.typeExercice === 'Choix multiple') {
            return 'uk-text-bold uk-text-center uk-margin-top';
        }
        return 'uk-text-bold uk-heading-medium uk-text-center uk-margin-top';
    }
}
</script>
<style scoped>
.type {
    color: #333;
}
</style>
